# dao Class Reference

Classe mère contenant les fonctions standards de requête à la base de données. More...

Inheritance diagram for dao:

## Public Member Functions

| __construct ()
| Récupère le PDO via la classe bdd.
| select ($id)
| Fonction gérant la récupération d'infos.
| insert (&$objet)
| Fonction gérant l'insertion d'un nouvel objet dans la BDD.
| delete ($id)
| Fonction gérant la suppression d'un objet dans la BDD.
| update (&$objet)
| Fonction gérant la mise de jour des données.

## Data Fields

| $db
| Variable contenant l'objet de connexion à la BDD.

## Detailed Description

Classe mère contenant les fonctions standards de requête à la base de données.

Note:
  Ne peut être instanciée

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Récupère le PDO via la classe bdd.

## Member Function Documentation

delete | ( | $ | id | ) | `[abstract]`

Fonction gérant la suppression d'un objet dans la BDD.

Reimplemented in cat_dao, game_dao, groupe_dao, question_dao, reponse_user_dao, and user_dao.

insert | ( | &$ | objet | ) | `[abstract]`

Fonction gérant l'insertion d'un nouvel objet dans la BDD.

Reimplemented in cat_dao, game_dao, groupe_dao, question_dao, reponse_user_dao, and user_dao.

select | ( | $ | id | ) | `[abstract]`

Fonction gérant la récupération d'infos.

Note:
  l'id est soit l'id (int) soit le login pour user

Reimplemented in cat_dao, game_dao, groupe_dao, question_dao, and user_dao.

update | ( | &$ | objet | ) | `[abstract]`

Fonction gérant la mise de jour des données.

Reimplemented in cat_dao, game_dao, groupe_dao, question_dao, reponse_user_dao, and user_dao.

## Field Documentation

$db

Variable contenant l'objet de connexion à la BDD.

The documentation for this class was generated from the following file:

- /var/www/Burger-ct-glf/dao/dao.php